%define _kf5_majver %(v=%version; echo ${v%.*})

Name:          extra-cmake-modules
Version:       5.22.0
Release:       1mamba
Summary:       Extra cmake modules used by kde framework
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source0:       http://download.kde.org/stable/frameworks/%{_kf5_majver}/extra-cmake-modules-%{version}.tar.xz
Source1:       rpm-macros.kde5.in
License:       BSD
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: python-Sphinx
Requires:      cmake
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Extra cmake modules used by kde framework.

%package -n rpm-macros-kde5
Group:         Development/Tools
Summary:       RPM macros for KDE Frameworks 5

%description -n rpm-macros-kde5
This package provides the RPM macros for building KDE Frameworks 5 packages.

%prep
%setup -q

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

install -d %{buildroot}%{_sysconfdir}/rpm
cat %{S:1} | sed "s,@KF5_VERSION@,%{version}," \
   > %{buildroot}%{_sysconfdir}/rpm/macros.kde5

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_datadir}/ECM
%{_datadir}/doc/ECM
%{_mandir}/man7/ecm*
%doc COPYING-CMAKE-SCRIPTS

%files -n rpm-macros-kde5
%defattr(-,root,root)
%attr(644,root,root) %{_sysconfdir}/rpm/macros.kde5

%changelog
* Sat May 21 2016 Automatic Build System <autodist@mambasoft.it> 5.22.0-1mamba
- automatic version update by autodist

* Thu Apr 14 2016 Automatic Build System <autodist@mambasoft.it> 5.21.0-1mamba
- automatic version update by autodist

* Tue Mar 29 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.20.0-1mamba
- update to 5.20.0

* Sat Feb 20 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.19.0-1mamba
- update to 5.19.0

* Thu Jan 14 2016 Automatic Build System <autodist@mambasoft.it> 5.18.0-1mamba
- automatic version update by autodist

* Tue Dec 15 2015 Automatic Build System <autodist@mambasoft.it> 5.17.0-1mamba
- automatic version update by autodist

* Wed Nov 18 2015 Automatic Build System <autodist@mambasoft.it> 5.16.0-1mamba
- automatic version update by autodist

* Wed Oct 14 2015 Automatic Build System <autodist@mambasoft.it> 5.15.0-1mamba
- automatic version update by autodist

* Sun Sep 20 2015 Automatic Build System <autodist@mambasoft.it> 5.14.0-1mamba
- automatic version update by autodist

* Tue Aug 18 2015 Automatic Build System <autodist@mambasoft.it> 5.13.0-1mamba
- automatic version update by autodist

* Fri Jul 10 2015 Automatic Build System <autodist@mambasoft.it> 5.12.0-1mamba
- automatic version update by autodist

* Mon Jun 15 2015 Automatic Build System <autodist@mambasoft.it> 5.11.0-1mamba
- automatic version update by autodist

* Sun May 10 2015 Automatic Build System <autodist@mambasoft.it> 5.10.0-1mamba
- automatic version update by autodist

* Thu Apr 30 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.0-7mamba
- update and add some kde5 macros

* Sun Apr 26 2015 Davide Madrisan <davide.madrisan@gmail.com> 5.9.0-6mamba
- provide the macro %%_kde5_mandir

* Sat Apr 18 2015 Davide Madrisan <davide.madrisan@gmail.com> 5.9.0-5mamba
- provide the rpm macro file macros.kde5 (new subpackage rpm-macros-kde5)
- do not provide an empty debug package
- remove the build requirement for automoc4 and add cmake instead

* Sat Apr 11 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.0-4mamba
- automatic version update by autodist

* Sat Apr 11 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.0-3mamba
- automatic version update by autodist

* Sat Apr 11 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.0-2mamba
- automatic version update by autodist

* Sat Apr 11 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.0-1mamba
- automatic version update by autodist

* Sun Mar 29 2015 Davide Madrisan <davide.madrisan@gmail.com> 1.8.0-2mamba
- remove the %%debug macro
- python-Sphinx is required for building the package documentation

* Thu Mar 19 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.0-1mamba
- update to 1.8.0

* Sun Feb 22 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.0-1mamba
- update to 1.7.0

* Thu Jan 29 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.1-1mamba
- update to 1.6.1

* Wed Jan 28 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.9-1mamba
- package created using the webbuild interface
